Bug 55287 - Blank (non LDL, CDL) dasda -> oops w/ "Hard disk" install
Blank (non LDL, CDL) dasda -> oops w/ "Hard disk" install
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
s390 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
David Sainty
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-29 04:26 EST by David Sainty
Modified: 2007-04-18 12:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-05 05:20:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Sainty 2001-10-29 04:26:26 EST
Description of Problem:
I believe this was the cause of my kernel oops last friday....

----
-> trash dasda by starting a dasdfmt on dasda and then aborting part way
through.
-> restart...
----

dasd_erp(3990): /dev/dasda(94:0),0200@0x0:EXAMINE 24: No Record Found
detected - fatal error 
Sense data: 
dasd(eckd):device 0200 on irq 0: I/O status report: 
dasd(eckd):in req: 0f87df00 CS: 0x40 DS: 0x0E 
dasd(eckd):Failing CCW: 0f87dfc8 
dasd(eckd):Sense(hex)  0- 7: 00 08 00 00 00 00 00 00 
dasd(eckd):Sense(hex)  8-15: 0f 40 08 00 00 00 00 00 
dasd(eckd):Sense(hex) 16-23: 00 00 00 00 ff 00 0f 00 
dasd(eckd):Sense(hex) 24-31: 00 00 4e a0 00 00 00 00 
dasd(eckd):24 Byte: 0 MSG 0, no MSGb to SYSOP 
dasd_erp(3990): /dev/dasda(94:0),0200@0x0:(EXAMINE) ERP chain report for
req: 0f87df00 
 
dasd_erp(3990): /dev/dasda(94:0),0200@0x0:0f87df00: c5c3d2c4 00000000
0f87de00 0f87de00 
 
dasd_erp(3990): /dev/dasda(94:0),0200@0x0:0f87df10: 0f92b000 00000000
0f87dfa0 0

...

dasd_erp(3990): /dev/dasda(94:0),0200@0x0:Channel program (complete): 
 
dasd_erp(3990): /dev/dasda(94:0),0200@0x0:0f87dfa0: 63400010 0f87df70
47400010 0f87df80 

...

dasd_erp(3990): /dev/dasda(94:0),0200@0x0:Failed CCW (0f87dfc8) already logged 
 
dasd(eckd):/dev/dasda(94:0),0200@0x0:volume analysis returned fatal error 

----
-> run loader
-> select "Hard Disk" for install type and then "/dev/dasda":
----

loop: loaded (max 8 devices) 
specification exception: 0006 
CPU:    0 
Process loaderbin (pid: 46, stackpage=0F633000) 
 
Kernel PSW:    04082000 908011c6    Not tainted 
task: 0f632000 ksp: 0f6336f8 pt_regs: 0f633660 
Kernel GPRS: 
00000086  108011c4  0f8b21c8  0f5f9000 
0f87df00  0f92b000  00000002  0f87ea20 
00000001  00000002  00006799  0f8b21c8 
0f8b21c8  9080eb0c  9081060a  0f6336f8 
Kernel ACRS: 
00000000  00000000  00000000  00000000 
00000001  00000000  00000000  00000000 
00000000  00000000  00000000  00000000 
00000000  00000000  00000000  00000000 
Kernel BackChain  CallChain 
       0f6336f8   [<1080effc>] 
       0f633920   [<10801ec8>] 
       0f6339b8   [<108022d4>] 
       0f633a18   [<000d96d0>] 
       0f633a80   [<00025816>] 
       0f633af8   [<0004d474>] 
       0f633b68   [<0004fa66>] 
       0f633bd0   [<00083c56>] 
User process fault: interruption code 0x6 
CPU:    1 
Process sshd (pid: 43, stackpage=0F6DB000) 
 
User PSW:    070dc000 8040f66e    Not tainted 
task: 0f6da000 ksp: 0f6dbd00 pt_regs: 0f6dbf68 
User GPRS: 
00453730  0043e160  00000000  0044be88

----

Version-Release number of selected component (if applicable):
Latest (RC2).

How Reproducible:
Always

Steps to Reproduce:
1. See steps above.
Comment 1 Florian La Roche 2001-11-05 05:20:19 EST
We need a correctly formatted dasda to work correctly.

Florian La Roche
Comment 2 Harald Hoyer 2001-11-05 06:44:04 EST
you shouldn't do that, Dave...

you can always shoot yourself in the foot.
Comment 3 David Sainty 2001-11-05 11:38:01 EST
My only point was - is it still not possible to give a polite error message
rather than explode?  I do agree that its low priority.

Note You need to log in before you can comment on or make changes to this bug.